<template>
	<div class="treasure-rewards">
		<div class="inner azure-gradient ">
			<div class="medium-font uppercase align-center bold green-color">{{getLocale('cache')}}</div>
			
			<div class="image">
				<img  v-bind:src="getImage('cache_reward.gif')">
			</div>
			
			<div class="text green-color align-center">{{getLocale('you_get')}}</div>
			
			<div class="value flex v-center h-right">
				<div class="very-large-font align-center green-color">
					+<number-changer :number="value" ></number-changer>
				</div>
				<bytes-icon class="icon" color="#00FFB4"/>
			</div>
		</div>
	</div>
</template>


<script>
	import NumberChanger from '../components/NumberChanger.vue';
	import BytesIcon from '../components/BytesIcon.vue';
	import { commonMixin } from '../mixins/common.js';
	
	export default {
		props: ['treasure'],
		mixins: [commonMixin],
		components: { NumberChanger, BytesIcon },
		data: function () {
			return{
				value : 0,
			}
		},
		mounted(){
			setTimeout(function(){
				this.value = this.treasure.bytes;
			}.bind(this),300);
		}
	}
</script>


<style lang="scss" scoped>
	@import "../styles/variables";
	
	.treasure-rewards{
		position: fixed;
		top: 0;
		left: 0;
		width: 100%;
		height: 100%;
		z-index: 2147483647;
		
		.inner{
			position: absolute;
			top: 50%;
			left: 50%;
			min-width: 200px;
			transform: translate(-50%,-50%);
			padding: 20px;
			color: white;
			border-radius: 10px;
			background: radial-gradient(ellipse at center, rgba(0,0,0,0.9) 0%, rgba(14,45,63,0.9) 100%);
			
			.image{
				position: relative;
				width: 175px;
				height: 252px;
				margin: 20px 0;
				
				img{
					position: absolute;
					left: 0;
					top: 0;
					width: 100%;
					height: 100%;
				}
			}
			
			.value{
				width: 175px;
			}
			
			.bytes-icon{
				margin-left: 10px;
			}
		}
	}
	@media screen and (max-height: 480px) {
		.treasure-rewards .inner .image{
			width: 104px;
			height: 150px;
			margin: 10px auto;
		}
	}
</style>

